/*
 * ActionInfo.java
 *
 * Created on 6 de Julho de 2005, 14:48
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package net.sourceforge.czt.typecheck.circus.impl;

import java.util.ArrayList;
import java.util.List;
import net.sourceforge.czt.circustools.ast.ActionType;
import net.sourceforge.czt.z.ast.*;

/**
 *
 * @author Manuela
 */
public class ActionInfo
{
  
  private DeclName actionName_;
  
  private boolean isParam_;
  
  private List<NameTypePair> params_;
  
//  private List<NameTypePair> localVars_;

  private ActionType type_;
  
  /** Creates a new instance of ActionInfo */
  public ActionInfo(DeclName actionName)
  {
    actionName_ = actionName;
    isParam_ = false;
    params_ = null;
//    localVars_ = new ArrayList<NameTypePair>();
  }
/*
  public ActionInfo(DeclName actionName, boolean isParam, List<NameTypePair> params)
  {
    actionName_ = actionName;
    isParam_ = isParam;
    params_ = params;
  }
*/
  public DeclName getActionName()
  {
    return actionName_;
  }
  
  public void setActionName(DeclName actionName)
  {
    actionName_ = actionName;
  }
  
  public boolean isParam()
  {
    return isParam_;
  }
  
  public void setIsParam(boolean isParam) 
  {
    isParam_ = isParam;
  }
  
  public List getParams() 
  {
    return params_;
  }
  
  public void setParams(List<NameTypePair> params)
  {
    params_ = params;
  }
  
  public ActionType getActionType() {
    return type_;
  }

  public void setActionType(ActionType type) {
    type_ = type;
  }
  
}
